Subject: Re: [Capwap] Capwap state transition (Join to Image download)

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Wed, 18 Jul 2007 14:12:12 -0700

This issue has been resolved and is now closed.

PatC 

-----Original Message-----
From: Rohit Suri (rsuri) 
Sent: Monday, June 11, 2007 11:35 AM
To: Pat Calhoun (pacalhou); [email-masked]'
Subject: RE: [Capwap] Capwap state transition (Join to Image download)

Looks good.

Regards
Rohit 

-----Original Message-----
From: Pat Calhoun (pacalhou)
Sent: Monday, June 11, 2007 11:26 AM
To: Rohit Suri (rsuri); [email-masked]'
Subject: RE: [Capwap] Capwap state transition (Join to Image download)

Yes, you are correct.
<text>
2.3.  CAPWAP State Machine Definition
[...]
   Join to Image Data (r):  This state transition is used by the WTP and
      the AC to download executable firmware.
[...]
      AC:  This state transition occurs when the AC receives the Image
         Data Request message from the WTP.  The AC MUST transmit an
         Image Data Response message (see Section 9.1.2) to the WTP,
         which includes a portion of the firmware.  The AC MUST start
         the NeighborDeadInterval timer (see Section 4.7).
<text>
PatC 

-----Original Message-----
From: Rohit Suri (rsuri)
Sent: Wednesday, June 06, 2007 10:43 AM
To: Pat Calhoun (pacalhou); [email-masked]'
Subject: RE: [Capwap] Capwap state transition (Join to Image download)

Hi Pat,
Should AC also start NeighborDeadInterval timer?

Regards
Rohit 

-----Original Message-----
From: Pat Calhoun (pacalhou)
Sent: Monday, June 04, 2007 8:43 AM
To: Rohit Suri (rsuri); [email-masked]
Subject: RE: [Capwap] Capwap state transition (Join to Image download)

Rohit, please see the new text below that addresses your comment in
initiatizing the EchoInterval timer.

<proposed text>
   Join to Image Data (r):  This state transition is used by the WTP and
      the AC to download executable firmware.

      WTP:  The WTP enters the Image Data state when it receives a
         successful Join Response message and determines and the
         included Image Identifier message element is not the same as
         its currently running image.  The WTP also detects that the
         requested image version is not currently available in the WTP's
         non-volatile storage (see Section 9.1 for a full description of
         the firmware download process).  The WTP initializes the
         EchoInterval timer (see Section 4.7), and transmits the Image
         Data Request message (see Section 9.1.1) requesting the start
         of the firmware download.
</proposed text>
 
PatC
-----Original Message-----
From: Pat Calhoun (pacalhou)
Sent: Monday, May 14, 2007 12:03 PM
To: Rohit Suri (rsuri); [email-masked]
Subject: Re: [Capwap] Capwap state transition (Join to Image download)

> In order to recover from failures, I think when WTP enters Image Data
state from Join it should
> initialize EchoInterval Timer.. Based on this Echo Request should also
be handled in Image download 
> state.
Created issue 262. I have no objections with this change request.

> Also in section 4.6.6. KeyLifeTime is defined, but rekey of DTLS
session is not discussed in the 
> document. Based on earlier discussion in the mailing list, I think
KeyLifeTime should be removed from 
> the document.
Created issue 263. I also have no objections with this change request.

PatC
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap